import controlP5.*;

ControlP5 ui;

Slider shoulder;
Slider elbow;
Slider claw;

void setup()
{
  size( 500, 500 );
  ui = new ControlP5( this );

  shoulder = ui.addSlider( "Shoulder" )
    .setRange( -90, 90 )
    .setValue( 0 )
    .setPosition( 5, 5 )
    .setSize( 200, 20 );

  elbow = ui.addSlider( "Elbow" )
    .setRange( -90, 90 )
    .setValue( 0 )
    .setPosition( 5, 30 )
    .setSize( 200, 20 );
    
  claw = ui.addSlider( "Claw" )
    .setRange( 0, 90 )
    .setValue( 45 )
    .setPosition( 5, 55 )
    .setSize( 200, 20 );
}

void draw()
{
  background( 0 );
  stroke( 255 );
  fill( 100 );

  pushMatrix();
    translate( width/2, height - 25 );
    rotate( radians( shoulder.getValue() ) );
    rect( -20, -150, 40, 150 );
  
    pushMatrix();
      translate( 0, -150 );
      rotate( radians( elbow.getValue() ) );
      rect( -20, -100, 40, 100 );
    
      pushMatrix();
        translate( 0, -100 );
        pushMatrix();
          rotate( -radians( claw.getValue() ) );
          rect( -5, -40, 10, 40 );
        popMatrix();
  
        pushMatrix();
          rotate( radians( claw.getValue() ) );
          rect( -5, -40, 10, 40 );
        popMatrix();
      popMatrix();
  
    popMatrix();
    
  popMatrix();
}